API ReferenceLoans
Apply for loan
Submit loan application and create credit account Deprecated path — use /v1/accounts/loan/applications/greenwheels instead.
Deprecated
Path Parameters
application_id*string
Header Parameters
Idempotency-Key?string
Unique key that de-duplicates retries of this request: the first call executes and its response is stored, identical retries replay it, and reusing a key with a different request body is rejected with 409 Conflict.
Length
length <= 255Request Body
application/json
Request to apply for a loan
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/accounts/credit/applications/string/apply" \ -H "Content-Type: application/json" \ -d '{ "loan_amount": 500000, "tenure": 12, "collateral_amount": 100000 }'{ "id": "650e8400-e29b-41d4-a716-446655440000", "resource_id": "lapp_351t201rmv87aae5j4csam8000", "status": "APPROVED", "account_id": "550e8400-e29b-41d4-a716-446655440000", "loan_product_type": "FLAT_RATE", "loan_amount": 500000, "collateral_amount": 100000, "collateral_percentage_basis_points": 1500, "collateral_hold_id": "750e8400-e29b-41d4-a716-446655440000", "total_repayment_amount": 550000, "tenure_weeks": 12, "tenure": { "duration": 12, "unit": "WEEKS" }, "weekly_interest_rate_basis_points": 1000, "currency": "KES", "expires_at": "2025-10-27T10:30:00Z"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}